import SwiftUI

struct AudioSettingsDetailView: View {
    
    @Binding
    var language: ContentLanguage

    @ObservedObject
    var audioPlayer: AudioPlayerSettings

    var body: some View {
        ScrollView {
            VStack(alignment: .leading) {
                IntegerPropertyView(
                    title: "Playlist Cover Image Size",
                    value: $audioPlayer.playlistCoverImageSize,
                    footer: "The maximum size of the album cover image in a playlist audio player (in pixels)")

                IntegerPropertyView(
                    title: "Small Album Cover Image Size",
                    value: $audioPlayer.smallCoverImageSize,
                    footer: "The maximum size of the album cover image in a single file audio player (in pixels)")

                FilePropertyView(
                    title: "Audio Player CSS File",
                    footer: "The CSS file to provide the style for the audio player",
                    selectedFile: $audioPlayer.audioPlayerCssFile,
                    allowedType: .code)

                FilePropertyView(
                    title: "Audio Player JavaScript File",
                    footer: "The CSS file to provide the functionality for the audio player",
                    selectedFile: $audioPlayer.audioPlayerJsFile,
                    allowedType: .code)

                LocalizedAudioSettingsDetailView(settings: audioPlayer.localized(in: language))
                    .id(language)
            }
            .padding()
        }
    }
}
